package com.bwie.auth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author：杨鹏
 * @Package：com.bwie.auth
 * @Project：yp_zhoukao86
 * @name：AuthApplication
 * @Date：2024/8/6 10:24
 */
@EnableFeignClients
@SpringBootApplication
public class AuthApplication {

    public static void main(String[] args) {
        SpringApplication.run(AuthApplication.class);
    }

}
