package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author：杨鹏
 * @Package：com.bwie.auth.feign
 * @Project：yp_zhoukao86
 * @name：UserFeign
 * @Date：2024/8/6 10:02
 */
@FeignClient("bwie-user")
public interface UserFeign{

    @PostMapping("user/login")
    public Result<User> login(@RequestBody User user);

}
