package com.bwie.user.service.impl;

import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author：杨鹏
 * @Package：com.bwie.book.service.impl
 * @Project：yp_zhoukao86
 * @name：UserMapperImpl
 * @Date：2024/8/6 9:46
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserMapper userMapper;


    @Override
    public Result<User> login(User user) {
        User user1 = userMapper.login(user.getUserPhone());
        return Result.success(user1);
    }
}
