package com.bwie.firm.mapper;

import com.bwie.common.domain.Firm;
import com.bwie.common.domain.Job;
import com.bwie.common.domain.People;
import com.bwie.common.domain.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：杨鹏
 * @Package：com.bwie.user.mapper
 * @Project：yp_zhoukao86
 * @name：FirmMapper
 * @Date：2024/8/6 10:41
 */
@Mapper
public interface FirmMapper {


    List<Firm> firmList(Firm firm);

    List<People> peopleList(People people);

    List<Job> jobList();


    People listPeopleId(People people);

    void peopleAdd(People people);

    void updFirmCount(Long firmId);

    void updUserCount(Long userId);

    void updPeopleStatus(People people);

    User listUserId(Long userId);
}
