package com.bwie.user.controller;

import com.bwie.user.service.UserService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：杨鹏
 * @Package：com.bwie.book.controller
 * @Project：yp_zhoukao86
 * @name：UserController
 * @Date：2024/8/6 9:48
 */
@RestController
@RequestMapping("user")
public class UserController {

    @Autowired
    private UserService userService;

    @PostMapping("login")
    public Result<User> login(@RequestBody User user){
        return userService.login(user);
    }

}
